package FDN::Tiny::Basic;

use strict;
use warnings;
use Exporter;
use FDN::Sql::Basic;
use FDN::Tiny::DBC;

our @ISA = ( 'Exporter' ) ;

our @EXPORT = qw (
	url_par_id
	url_par_name
	url_par_user
	incremente_url
	new_url
	del_url
	keep_url

	user_par_id
	user_par_login
	user_par_state
	new_user
);




sub url_par_id($) {
	my ( $id ) = @_;
	return __par_id($dbh, 'URL', $id);
}

sub url_par_name($) {
	my ( $name ) = @_;
	return __par_champ_test($dbh, 'URL', dochar($name), 'URL_NAME', '=');
}

sub url_par_user($) {
	my ( $uid ) = @_;
	return __par_champ_test($dbh, 'URL', dochar($uid), 'USER_ID', '=');
}

sub incremente_url($) {
	my ( $url ) = @_;
	my $cnt = $url->{'URL_COUNT'}+1;
	my $id  = $url->{'URL_ID'};
	return __set_tbl_val($dbh, 'URL', 'URL_COUNT', $id, $cnt);
}

sub new_url($$$) {
	my ( $name, $path, $uid ) = @_;
	return __new($dbh, 'URL',
		'URL_NAME='.dochar($name),
		'URL_PATH='.dochar($path),
		'USER_ID='.dochar($uid),
		'URL_DTIN='.dodate('now') );
}

sub del_url($) {
	my ( $urid ) = @_;
	return __del($dbh, 'URL', $urid);
}

sub set_url_type($$) {
	my ( $urid, $type ) = @_;
	return __set_tbl_val($dbh, 'URL', 'URL_TYPE', $urid, dochar($type));
}

sub keep_url($) {
	my ( $urid ) = @_;
	return set_url_type($urid, 'keep');
}


sub user_par_id($) {
	my ( $id ) = @_;
	return __par_id($dbh, 'USER', $id);
}

sub user_par_login($) {
	my ( $login ) = @_;
	return __par_champ_test($dbh, 'USER', dochar($login), 'USER_LOGIN', '=');
}

sub user_par_state($) {
	my ( $state ) = @_;
	return __par_champ_test($dbh, 'USER', dochar($state), 'USER_STATE', '=');
}

sub new_user($$$) {
	my ( $login, $passwd, $name ) = @_;
	return __new($dbh, 'USER',
		'USER_LOGIN='.dochar($login),
		'USER_PASSWD='.dochar($passwd),
		'USER_FULLNAME='.dochar($name) );
}

1;

