#!/usr/bin/perl

use strict;
use warnings;
use CGI;
use FDN::Tiny::Basic;

sub reject($) {
	my ( $motif ) = @_;
	print "Location: http://x.fdn.fr\n\n";
	exit(0);
}


my $cgi    = new CGI;
my $login  = $cgi->param('login');
my $passwd = $cgi->param('passwd');
my $urid   = $cgi->param('id');

reject('login') if ! defined $login;
reject('passwd') if ! defined $passwd;
reject('id') if ! defined $urid;

my $user = user_par_login($login);
reject('user') if ! defined $user;
reject('wrong passwd') if $user->{'USER_PASSWD'} ne $passwd;
reject('no access') if ! $user->{'USER_ACCESS'};

my $url = url_par_id($urid);
reject('url') if ! defined $url;
reject('not yours') if $user->{'USER_ID'} != $url->{'USER_ID'};

del_url($urid);

print "Content-Type: text/html; charset=utf8\n\n";
print "<html>La petite URL n'est plus</html>\n";
exit(0);


