#!/usr/bin/perl

use strict;
use warnings;
use CGI;
use FDN::Tiny::Basic;

sub reject($) {
	my ( $motif ) = @_;
	print "Location: http://x.fdn.fr\n\n";
	exit(0);
}

sub clef_aleatoire($) {
        my ( $taille ) = @_;
        my @chars = ( '0'..'9', 'A'..'Z', 'a'..'z');
        my $nbchars = $#chars+1;

        my $str;
        for my $i (0..$taille) {
                my $n = int(rand($nbchars));
                $str.=$chars[$n];
        }
        return $str;
}


my $cgi    = new CGI;
my $login  = $cgi->param('login');
my $passwd = $cgi->param('passwd');
my $name   = $cgi->param('name');
my $path   = $cgi->param('path');

reject('login') if ! defined $login;
reject('passwd') if ! defined $passwd;
reject('path') if ! defined $path;

my $user = user_par_login($login);
reject('user') if ! defined $user;
reject('wrong passwd') if $user->{'USER_PASSWD'} ne $passwd;
reject('no access') if ! $user->{'USER_ACCESS'};

my $urid;
if ( ! $user->{'USER_CHOOSE'} ) {
	$name = clef_aleatoire(6);
}

my $url;
$url = url_par_name($name);
while ( defined $url ) {
	$name = clef_aleatoire(6);
	$url = url_par_name($name);
}
$urid = new_url($name, $path, $user->{'USER_ID'});

print "Content-Type: text/html; charset=utf8\n\n";
print "<html>La petite URL est: http://x.fdn.fr/$name</html>\n";
exit(0);


